Description

I am trying to get rsb working under Matlab and I would like to be able to receive images. Is there a queue class for this (as is for
JointAngles) or some hints how to write one?

Thanks in advance.

Simon

Associated revisions
Revision 6523ea3f - 10/30/2011 07:43 PM - S. Wrede

started thinking about image queue, refs #681

History
#1 - 10/27/2011 01:23 PM - J. Wienke

Sebastian has recently worked with the Matlab integration. So he should better know what is going on there.

#2 - 10/27/2011 01:23 PM - J. Wienke
- Assignee set to S. Wrede

#3 - 10/27/2011 01:24 PM - J. Wienke

Btw. we have created an IRC channel for RSB. It is linked on the overview page. Could be a good idea to ask questions there or on the mailinglist.

#4 - 10/28/2011 11:45 AM - S. Wrede
- Status changed from New to In Progress

Generally that should be pretty much straightforward and one could do it the same way as we do it for the joint angles. The only missing piece is how
the raw data of the image can be passed efficiently to Matlab. Probably, passing the contained image data as a multi-dimensional array of native data
types could work.

I can give it a try on Monday and then we can discuss it on the IRC channel?

#5 - 04/19/2012 05:11 PM - J. Wienke

Simon, Sebastian, is this issue still valid?
#6 - 04/20/2012 04:36 PM - Ši. Fojtů
- Status changed from In Progress to Closed
- % Done changed from 0 to 100

This has been fixed a long time ago.
